> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Status

> Look up the status of a transaction, including its operations and indexing state.



## OpenAPI

````yaml /apis/admin/openapi.json get /api/external/v1/transactions/{id}/status
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/transactions/{id}/status:
    get:
      tags:
        - Transactions
      summary: Transaction Status
      description: >-
        Look up the status of a transaction, including its operations and
        indexing state.
      operationId: getTransactionsByIdStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type:
              - string
            minLength: 1
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  transactionId: t1...uuid
                  status: COMPLETED
                  groupId: g1...uuid
                  contractId: c1...uuid
                  hash: 0x...
                  submittedAt: '2024-04-15T21:26:21.000Z'
                  completedAt: '2024-04-15T21:30:00.000Z'
                  operations:
                    - id: op1...uuid
                      type: START_DISTRIBUTION
                      status: COMPLETED
                      allocationId: a1...uuid
                      synchronizedAt: '2024-04-15T21:30:00.000Z'
                  operationsSummary:
                    total: 1
                    completed: 1
                    pending: 0
                  isCompleted: true
                  isIndexing: false
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````